Rendering problems with Android Studio

+1 T K · June 10, 2015
Hey guys,

I have just downloaded the Android Studio and followed everything Bucky did (except that I had already set up the Android SDK). I started a new project with a blank activity and when it finally loaded the project screen, I got this:

https://snapr.pw/i/3078e02ebe.png

The details:

org.jetbrains.android.uipreview.RenderingException: This version of the rendering library is more recent than your version of Android Studio. Please update Android Studio
at org.jetbrains.android.uipreview.LayoutLibraryLoader.load(LayoutLibraryLoader.java:90)
at org.jetbrains.android.sdk.AndroidTargetData.getLayoutLibrary(AndroidTargetData.java:159)
at com.android.tools.idea.rendering.RenderService.createTask(RenderService.java:164)
at com.intellij.android.designer.designSurface.AndroidDesignerEditorPanel$6.run(AndroidDesignerEditorPanel.java:475)
at com.intellij.util.ui.update.MergingUpdateQueue.execute(MergingUpdateQueue.java:320)
at com.intellij.util.ui.update.MergingUpdateQueue.execute(MergingUpdateQueue.java:310)
at com.intellij.util.ui.update.MergingUpdateQueue$2.run(MergingUpdateQueue.java:254)
at com.intellij.util.ui.update.MergingUpdateQueue.flush(MergingUpdateQueue.java:269)
at com.intellij.util.ui.update.MergingUpdateQueue.flush(MergingUpdateQueue.java:227)
at com.intellij.util.ui.update.MergingUpdateQueue.run(MergingUpdateQueue.java:217)
at com.intellij.util.concurrency.QueueProcessor.runSafely(QueueProcessor.java:238)
at com.intellij.util.Alarm$Request$1.run(Alarm.java:351)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)


Can anyone help me out with this? Thank you!

Post a Reply

Replies

- page 2
Oldest  Newest  Rating
0 Brian Mader · June 10, 2015
I had the same problem . You need to change the API to 5.0.1 . I had to go into the SDK and install the files for Android 5.0.1 ( API 21 ) and then change the MNC in Android Studio to 5.0.1 . After you go into the SDK and install the files for API 5.0.1 go back into Android Studio and click on the little Android guy where it says MNC and you will see a drop down menu. There you will see the different API versions you can select . Select 5.0.1 in the drop down menu. This should bring up the phone emulator image in your project. Give it a few seconds and it will come up . It seems a lot of us who have watched the YouTube tutorials are having these issues because Android Studio has been updated since the making of the videos. Hope this helps, 
  • 1
  • 2

Java / Android Development

131,265 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator